Search documentation of tiger_stripe

# Stripe.Services.PaymentLinkService (tiger_stripe v0.1.1)

Copy Markdown View Source

PaymentLink

A payment link is a shareable URL that will take your customers to a hosted payment page. A payment link can be shared and used multiple times.

When a customer opens a payment link it will open a new checkout session to render the payment page. You can use checkout session events to track payments through payment links.

Related guide: Payment Links API

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a payment link

list(client, params \\ %{}, opts \\ [])

List all payment links

retrieve(client, payment_link, params \\ %{}, opts \\ [])

Retrieve payment link

update(client, payment_link, params \\ %{}, opts \\ [])

Update a payment link

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a payment link

Creates a payment link.

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all payment links

Returns a list of your payment links.

# retrieve(client, payment_link, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve payment link

Retrieve a payment link.

# update(client, payment_link, params \\ %{}, opts \\ [])

    @spec update(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Update a payment link

Updates a payment link.